package com.gic.haoban.manage.service.service.out.impl.hm;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.hm.HmLinkVisitLogDTO;
import com.gic.haoban.manage.api.service.hm.HmLinkVisitLogApiService;
import com.gic.haoban.manage.service.service.hm.HmLinkVisitLogService;

@Service("hmLinkVisitLogApiService")
public class HmLinkVisitLogApiServiceImpl implements HmLinkVisitLogApiService {

    @Autowired
    private HmLinkVisitLogService hmLinkVisitLogService;

    @Override
    public ServiceResponse<Void> save(String unionid, Long linkId) {
        HmLinkVisitLogDTO dto = new HmLinkVisitLogDTO();
        dto.setLinkId(linkId);
        dto.setUnionId(unionid);
        this.hmLinkVisitLogService.save(dto);
        return ServiceResponse.success();
    }
}
